local radares_70 = {
    {-175.84478759766, 6359.3798828125, 31.116048812866},
    {-92.679473876953, 6275.4345703125, 30.95823097229}
}
local radares_120 = {
	{1880.4963378906,3608.66796875,34.387760162354},
    {923.08288574219,2686.5031738281,40.589221954346}
}

local radares_150 = {
	{2570.572265625,3047.25390625,49.248397827148},
    {2542.8525390625, 5393.2280273438, 44.481037139893},
	{-2608.8049316406,2964.931640625,16.667877197266},
    {-1525.4075927734,4974.7666015625,62.370876312256}
}

Citizen.CreateThread(function()
    -- Creăm blips pentru radar cu 70 km/h
    for k, v in ipairs(radares_70) do
        local blip = AddBlipForCoord(v[1], v[2], v[3])
        SetBlipSprite(blip, 744)
        SetBlipScale(blip, 0.4)
        SetBlipColour(blip, 1)
        SetBlipDisplay(blip, 4)
        SetBlipAsShortRange(blip, true)

        BeginTextCommandSetBlipName("STRING")
        AddTextComponentString("Radar 70 km/h")
        EndTextCommandSetBlipName(blip)
    end

    -- Creăm blips pentru radar cu 120 km/h
    for k, v in ipairs(radares_120) do
        local blip = AddBlipForCoord(v[1], v[2], v[3])
        SetBlipSprite(blip, 744)
        SetBlipScale(blip, 0.4)
        SetBlipColour(blip, 24)
        SetBlipDisplay(blip, 4)
        SetBlipAsShortRange(blip, true)

        BeginTextCommandSetBlipName("STRING")
        AddTextComponentString("Radar 120 km/h")
        EndTextCommandSetBlipName(blip)
    end

    -- Creăm blips pentru radar cu 150 km/h
    for k, v in ipairs(radares_150) do
        local blip = AddBlipForCoord(v[1], v[2], v[3])
        SetBlipSprite(blip, 744)
        SetBlipScale(blip, 0.4)
        SetBlipColour(blip, 3)
        SetBlipDisplay(blip, 4)
        SetBlipAsShortRange(blip, true)

        BeginTextCommandSetBlipName("STRING")
        AddTextComponentString("Radar 150 km/h")
        EndTextCommandSetBlipName(blip)
    end

    while true do
        Wait(15)
        local playerPed = GetPlayerPed(-1)
        local coords = GetEntityCoords(playerPed)

        -- Verificăm radarele cu 70 km/h
        for k, v in pairs(radares_70) do
            local leftX = v[1] - 20
            local rightX = v[1] + 20
            if coords.x >= leftX and coords.x <= rightX and 
               coords.y >= v[2] - 20 and coords.y <= v[2] + 20 and 
               coords.z >= v[3] - 20 and coords.z <= v[3] + 20 then
                checkSpeed(70) -- Viteza maximă 70 km/h
            end
        end

        -- Verificăm radarele cu 120 km/h
        for k, v in pairs(radares_120) do
            local leftX = v[1] - 20
            local rightX = v[1] + 20
            if coords.x >= leftX and coords.x <= rightX and 
               coords.y >= v[2] - 20 and coords.y <= v[2] + 20 and 
               coords.z >= v[3] - 20 and coords.z <= v[3] + 20 then
                checkSpeed(120) -- Viteza maximă 120 km/h
            end
        end

        -- Verificăm radarele cu 150 km/h
        for k, v in pairs(radares_150) do
            local leftX = v[1] - 20
            local rightX = v[1] + 20
            if coords.x >= leftX and coords.x <= rightX and 
               coords.y >= v[2] - 20 and coords.y <= v[2] + 20 and 
               coords.z >= v[3] - 20 and coords.z <= v[3] + 20 then
                checkSpeed(150) -- Viteza maximă 150 km/h
            end
        end
    end
end)

function checkSpeed(maxspeed)
    local pP = GetPlayerPed(-1)
    local speed = GetEntitySpeed(pP)
    local vehicle = GetVehiclePedIsIn(pP, false)
    local driver = GetPedInVehicleSeat(vehicle, -1)
    local kmhspeed = math.ceil(speed * 3.6)
    if kmhspeed > maxspeed and driver == pP then
        Citizen.Wait(1500)
        TriggerServerEvent('cobrarMulta')
        ShowNotification1("~r~Radar fix~w~\nViteza surprinsa: ~r~" .. kmhspeed .. "~w~ km/h\nAmenda: ~r~200 LEI")
    end
end

function ShowNotification1(text)
    SetNotificationTextEntry("STRING")
    AddTextComponentString(text)
    DrawNotification(false, false)
end
